Last Comment Bug 804639 - Package breakpadinjector.dll and configure.in changes from Bug 769048.
: Package breakpadinjector.dll and configure.in changes from Bug 769048.
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: Thunderbird 19.0
Assigned To: Philip Chee
:
:
Mentors:
Depends on:
Blocks: 803168
  Show dependency treegraph
 
Reported: 2012-10-23 09:51 PDT by Philip Chee
Modified: 2012-10-28 06:06 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Patch v1.0 package it. (2.72 KB, patch)
2012-10-25 09:54 PDT, Philip Chee
no flags Details | Diff | Splinter Review
Patch v1.1 Package it for Thunderbird as well. (3.24 KB, patch)
2012-10-26 02:07 PDT, Philip Chee
bugspam.Callek: review+
bugspam.Callek: review+
Details | Diff | Splinter Review

Description Philip Chee 2012-10-23 09:51:31 PDT
Bug 769048 - Attach to and report on crashes in FlashPlayerPlugin_*.exe processes which are children of our plugin container

Bug 769048 part C - Build an injector DLL which can watch for crashes in Flash player processes. This involves building two copies of breakpad: one to live inside of libxul which uses mozalloc and the dynamic CRT, another to link into the injector which links the CRT statically and doesn't use mozalloc. Introduce a new define/makefile variable MOZ_CRASHREPORTER_INJECTOR rather than repeating "#if defined(XP_WIN) && !defined(HAVE_64BIT_OS) in many places.

mozilla-central changeset 141f0a09f4b6
Target milestone: Mozilla15/16
Comment 1 Philip Chee 2012-10-25 08:20:26 PDT
Grabbing this bug for myself.
Comment 2 Philip Chee 2012-10-25 09:54:27 PDT
Created attachment 675176 [details] [diff] [review]
Patch v1.0 package it.

Package it. Needs review by a comm-central build config peer so pointing review? to Callek.
Comment 3 Philip Chee 2012-10-26 02:07:27 PDT
Created attachment 675489 [details] [diff] [review]
Patch v1.1 Package it for Thunderbird as well.

Mark said might as well package it for Thunderbird as well.
Comment 4 Philip Chee 2012-10-27 06:08:17 PDT
Comment on attachment 675489 [details] [diff] [review]
Patch v1.1 Package it for Thunderbird as well.

Adding Justin for the SeaMonkey and comm-central changes.
Comment 5 Mark Banner (:standard8, afk until Dec) 2012-10-28 00:49:37 PDT
Generally common build config changes we're putting in mailnews core. Thanks for adding in the Thunderbird packaging changes.

Note You need to log in before you can comment on or make changes to this bug.